<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	
	<parent>
		<groupId>gov.va.med.repos.lib</groupId>
		<version>4.0.0</version>
		<artifactId>repos-modules</artifactId>
		<relativePath>../parentModule/pom.xml</relativePath>
	</parent>
	
	<modelVersion>4.0.0</modelVersion>
	<artifactId>junit-ext</artifactId>
	<name>Repositories: JUnit Extension Classes</name>
	<version>4.0.1-SNAPSHOT</version>
	<description>Extensions to JUnit API to support grouping and ordering of the tests.</description>

<!-- 
	<scm>
        <url>https://URL             .DNS   :PORT/ccm:server_rb_HDR_module_junit-ext_main_stream_rws</url>
        <connection>scm:jazz:https://URL             .DNS   :PORT/ccm:server_rb_HDR_module_junit-ext_main_stream_rws</connection>
        <developerConnection>scm:jazz:https://URL             .DNS   :PORT/ccm:server_rb_HDR_module_junit-ext_main_stream_rws</developerConnection>
    </scm>
-->

    <scm>
        <url>${env.SCM_URL}:${env.MODULE_JUNITEXT_RB_RWS}</url>
        <connection>scm:jazz:${env.SCM_URL}:${env.MODULE_JUNITEXT_RB_RWS}</connection>
        <developerConnection>scm:jazz:${env.SCM_URL}:${env.MODULE_JUNITEXT_RB_RWS}</developerConnection>
    </scm>
    
	<dependencies>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-test</artifactId>
		</dependency>
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
		</dependency>
		<dependency>
			<groupId>org.powermock</groupId>
			<artifactId>powermock-module-junit4</artifactId>
		</dependency>
		<dependency>
			<groupId>org.apache.logging.log4j</groupId>
			<artifactId>log4j-core</artifactId>
		</dependency>
	</dependencies>
	<build>
		<resources>
			<resource>
				<directory>src/main/java</directory>
				<excludes>
					<exclude>**/*.java</exclude>
				</excludes>
			</resource>
		</resources>
		<testResources>
			<testResource>
				<directory>src/test/java</directory>
				<excludes>
					<exclude>**/*.java</exclude>
				</excludes>
			</testResource>
		</testResources>
		
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-jar-plugin</artifactId>
				<executions>
					<execution>
						<goals>
							<goal>test-jar</goal>
						</goals>
					</execution>
				</executions>
			</plugin>
			<plugin>
        	<groupId>org.apache.maven.plugins</groupId>
            <artifactId>maven-scm-plugin</artifactId>
            <version>1.9.1</version>
            <dependencies>
            	<dependency>
                	<groupId>org.apache.maven.scm</groupId>
                	<artifactId>maven-scm-provider-jazz</artifactId>
                	<version>1.9.1</version>
              	</dependency>
              	<dependency>
                	<groupId>org.apache.maven.scm</groupId>
                	<artifactId>maven-scm-api</artifactId>
                	<version>1.9.1</version>
              	</dependency>
              	<dependency>
					<groupId>org.apache.maven.scm</groupId>
					<artifactId>maven-scm-client</artifactId>
					<version>1.9.1</version>
	      		</dependency>
            </dependencies>
          </plugin>
        
          <plugin>
				<groupId>org.apache.maven.plugins</groupId>
        		<artifactId>maven-release-plugin</artifactId>
        		<version>2.5</version>
          </plugin>
          
            <plugin>
                <groupId>com.fortify.ps.maven.plugin</groupId>
                <artifactId>sca-maven-plugin</artifactId>
                <version>4.30</version>
             </plugin>          
			
		</plugins>
	</build>
</project>
